[arch-commits] Commit in alsaplayer/repos (3 files)
Eric Bélanger
eric at archlinux.org
Thu Feb 5 05:43:33 UTC 2009
Date: Thursday, February 5, 2009 @ 00:43:33
Author: eric
Revision: 26279
fixed svn conflict
Added:
alsaplayer/repos/extra-i686/gcc.diff
(from rev 26278, alsaplayer/trunk/gcc.diff)
Modified:
alsaplayer/repos/extra-i686/ (properties)
alsaplayer/repos/extra-i686/PKGBUILD
----------+
PKGBUILD | 30 ++++++++++++++----------------
gcc.diff | 10 ++++++++++
2 files changed, 24 insertions(+), 16 deletions(-)
Property changes on: alsaplayer/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
- /alsaplayer/trunk:1
+ /alsaplayer/trunk:1-26278
Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2009-02-05 05:41:52 UTC (rev 26278)
+++ extra-i686/PKGBUILD 2009-02-05 05:43:33 UTC (rev 26279)
@@ -1,28 +1,26 @@
# $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Eric Belanger <eric at archlinux.org>
# Contributor: Jochem Kossen <j.kossen at home.nl>
pkgname=alsaplayer
pkgver=0.99.80
pkgrel=1
pkgdesc="A heavily multi-threaded PCM player that tries to excercise the ALSA library and driver quite a bit."
-license=('GPL')
-url="http://www.alsaplayer.org/"
arch=('i686' 'x86_64')
-depends=('gtk' 'libid3tag' 'libvorbis' 'libmad' 'libmikmod' 'jack-audio-connection-kit>=0.102.20-2' 'esd' 'gcc-libs')
-source=(http://www.alsaplayer.org/${pkgname}-${pkgver}.tar.bz2) # flac_patch.diff)
-md5sums=('04f8c2321a37d15f40f9ee21251c6202')
+url="http://www.alsaplayer.org/"
+license=('GPL')
+depends=('gtk' 'libid3tag' 'libvorbis' 'libmad' 'libmikmod' 'jack-audio-connection-kit>=0.102.20-2' 'esound' 'gcc-libs')
options=('!libtool')
+source=(http://www.alsaplayer.org/${pkgname}-${pkgver}.tar.bz2 gcc.diff)
+md5sums=('04f8c2321a37d15f40f9ee21251c6202' '0c1790e4744d9b085208436f5442efe0')
+sha1sums=('883d590b01371840024b5a8bf0fe95b464a2ccd1' '684ac4ea9f58e63da7f4c9518196128714575066')
build() {
- cd ${startdir}/src/${pkgname}-${pkgver}
- autoconf
- #fix compilation with flac support on x86_64
- # [ "$CARCH" = "x86_64" ] && patch -Np1 -i $startdir/flac_patch.diff
- ./configure --prefix=/usr --enable-esd \
- --disable-opengl --enable-gtk --enable-jack \
- --disable-gtk2 --enable-audiofile
- make || return 1
- make DESTDIR=${startdir}/pkg install
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ patch -p0 < ../gcc.diff || return 1
+ ./configure --prefix=/usr --enable-esd \
+ --disable-opengl --enable-gtk --enable-jack \
+ --disable-gtk2 --enable-audiofile || return 1
+ make || return 1
+ make DESTDIR=${startdir}/pkg install || return 1
}
-
Copied: alsaplayer/repos/extra-i686/gcc.diff (from rev 26278, alsaplayer/trunk/gcc.diff)
===================================================================
--- extra-i686/gcc.diff (rev 0)
+++ extra-i686/gcc.diff 2009-02-05 05:43:33 UTC (rev 26279)
@@ -0,0 +1,10 @@
+--- app/ControlSocket.cpp.orig 2008-07-04 22:34:38.000000000 +0200
++++ app/ControlSocket.cpp 2008-07-04 22:35:53.000000000 +0200
+@@ -28,6 +28,7 @@
+ #include <sys/un.h>
+ #include <csignal>
+ #include <pwd.h>
++#include <climits>
+ #include "control.h"
+ #include "message.h"
+ #include "Playlist.h"
More information about the arch-commits
mailing list